Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 176522
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Gentoo Games <games@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Bob Johnson <ke6fis@arrl.net>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Makefile Makefile in arch/x11 text/plain Bob Johnson 2007-05-01 15:23 0000 20.38 KB Details
build.log build.log text/plain Samuli Suominen 2007-05-01 15:39 0000 161.07 KB Details
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 176522 depends on: Show dependency tree
Bug 176522 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2007-04-30 04:21 0000
I get a 'multiple target patterns' error and vice fails to compile ever since
the version was bumped to 1.21. 

Reproducible: Always

Steps to Reproduce:
1.emerge -uDv world
2.Watch vice error out of the compile
3.

Actual Results:  
Here's the output of the build:
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../../../../src
-I../../../../src/arch/unix -I../../../../src -I../../../../src/drive
-I../../../../src/c64 -I../../../../src/c128 -I../../../../src/vic20
-I../../../../src/pet -I../../../../src/cbm2 -I../../../../src/sid
-I../../../../src    -march=athlon-xp -O2 -pipe -I/usr/include/SDL
-D_GNU_SOURCE=1 -D_REENTRANT -c vsidui.c
rm -f libarchgui.a
ar cru libarchgui.a c128ui.o c64ui.o cbm2ui.o petui.o plus4ui.o ui.o uiacia1.o
uiattach.o uic64_256k.o uic64cart.o uicmdline.o uicommands.o uicrtc.o
uidatasette.o uidigimax.o uidrive.o uidrivec128.o uidrivec64.o uidrivec64c128.o
uidrivec64vic20.o uidriveiec.o uidrivepetcbm2.o uidriveplus4.o uidrivevic20.o
uifliplist.o uigeoram.o uiide64.o uijoystick2.o uikeyboard.o uilib.o uimmc64.o
uimon.o uimouse.o uinetplay.o uipalemu.o uipalette.o uiperipheral.o
uiperipheraliec.o uiperipheralieee.o uipetreu.o uiplus256k.o uiplus60k.o
uiprinter.o uiprinteriec.o uiprinteriecplus4.o uiprinterieee.o uiramcart.o
uireu.o uiromset.o uirs232.o uirs232c64c128.o uirs232petplus4cbm2.o
uirs232user.o uisettings.o uisid.o uisidcart.o uisound.o uited.o uitfe.o
uivdc.o uivic.o uivicii.o vic20ui.o vsidui.o
i686-pc-linux-gnu-ranlib libarchgui.a
make[5]: Leaving directory
`/var/tmp/portage/app-emulation/vice-1.21/work/vice-1.21/src/arch/unix/gui'
Making all in x11
make[5]: Entering directory
`/var/tmp/portage/app-emulation/vice-1.21/work/vice-1.21/src/arch/unix/x11'
Makefile:377: *** multiple target patterns.  Stop.
make[5]: Leaving directory
`/var/tmp/portage/app-emulation/vice-1.21/work/vice-1.21/src/arch/unix/x11'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory
`/var/tmp/portage/app-emulation/vice-1.21/work/vice-1.21/src/arch/unix'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory
`/var/tmp/portage/app-emulation/vice-1.21/work/vice-1.21/src/arch'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/var/tmp/portage/app-emulation/vice-1.21/work/vice-1.21/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/var/tmp/portage/app-emulation/vice-1.21/work/vice-1.21/src'
make: *** [all-recursive] Error 1

!!! ERROR: app-emulation/vice-1.21 failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_compile
  ebuild.sh, line 971:   Called qa_call 'src_compile'
  environment, line 3316:   Called src_compile
  vice-1.21.ebuild, line 86:   Called die

!!! emake failed
!!! If you need support, post the topmost build error, and the call stack if
relevant.

------- Comment #1 From Bob Johnson 2007-04-30 04:23:31 0000 -------
ariel ~ # emerge --info
Portage 2.1.2.2 (default-linux/x86/2007.0, gcc-4.1.1, glibc-2.5-r0, 2.6.20.7
i686)
=================================================================
System uname: 2.6.20.7 i686 AMD Athlon(tm) XP 2600+
Gentoo Base System release 1.12.9
Timestamp of tree: Sun, 29 Apr 2007 16:20:01 +0000
dev-java/java-config: 1.3.7, 2.0.31-r5
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.15-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
/usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf
/etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-march=athlon-xp -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --delete-after --stats --timeout=180
--exclude=/distfiles --exclude=/local --exclude=/packages
--filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl alsa apache2 audiofile berkdb bitmap-fonts blas bzip2
cli cracklib crypt css cups curl doc dri dts dv dvb dvd dvdr dvdread encode
examples exif ffmpeg fftw flac foomaticdb fortran gcj gd gdbm gif gimp
gimpprint glut graphviz gstreamer gtk gtk2 gtkhtml guile iconv idn ieee1394
imagemagick imlib ipv6 isdnlog jack java jbig joystick jpeg jpeg2k kde ladcca
lcms libg++ mad mbox midi mikmod mmx mng motif mozbranding mozilla mp3 mpeg
ncurses nls nocd nptl nptlonly nsplugin odbc ogg openal opengl pam pcre pdf
perl png posix postgres povray ppds pppd python quicktime readline reflection
rtc samba scanner sdl session sockets sox spell spl sse ssl svg svga tcl tcpd
tetex theora threads tiff tk truetype truetype-fonts type1-fonts unicode usb
v4l v4l2 vcd vorbis win32codecs wmf x86 xanim xine xinerama xml xorg xpm xv
xvid zlib" ALSA_CARDS="via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix
dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter
mulaw multi null plug rate route share shm softvol" ELIBC="glibc"
INPUT_DEVICES="keyboard mouse evdev vmmouse" KERNEL="linux" LCD_DEVICES="bayrad
cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU"
VIDEO_CARDS="vesa fbdev radeon vmware"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS,
LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

------- Comment #2 From Mr. Bones. 2007-04-30 06:29:48 0000 -------
sounds like http://bugs.gentoo.org/show_bug.cgi?id=176155

make sure you're running the cvs version 1.2 of the ebuild.

------- Comment #3 From Bob Johnson 2007-04-30 19:20:23 0000 -------
Here's the CVS line at the top of the ebuild:
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/vice/vice-1.21.ebuild,v 1.2
2007/04/26 20:10:43 nyhm Exp $


Looks like 1.2. 

I agree this does look like http://bugs.gentoo.org/show_bug.cgi?id=176155
although there's a version typo in the title (probably why I didn't find it
initially.) I'm not sure why that bug was closed. It looks like Alexis Ballier
found the fix, but the fix hasn't made it into a patch-file for the ebuild yet,
so the app still doesn't build unless that fix is made manually. Do I mark this
bug as a duplicate and re-open that one even though the title is wrong? Should
I create a patch file and submit it for consideration by the devs? 

------- Comment #4 From Mr. Bones. 2007-04-30 19:26:19 0000 -------
can we have a look at
/var/tmp/portage/app-emulation/vice-1.21/work/vice-1.21/src/arch/unix/x11/Makefile?

That seems to be the one it's complaining about.

------- Comment #5 From Bob Johnson 2007-05-01 15:23:31 0000 -------
Created an attachment (id=117848) [details]
Makefile in arch/x11

This is the Makefile from
/var/tmp/portage/app-emulation/vice-1.21/work/vice-1.21/src/arch/unix/x11/

------- Comment #6 From Samuli Suominen 2007-05-01 15:39:29 0000 -------
Created an attachment (id=117851) [details]
build.log

Fails here too. From latest ebuild in CVS.

Portage 2.1.2.5 (default-linux/x86/2007.0, gcc-4.1.2, glibc-2.5-r1,
2.6.21-rc7-git4 i686)
=================================================================
System uname: 2.6.21-rc7-git4 i686 AMD Athlon(tm) XP 2200+
Gentoo Base System release 1.12.10
Timestamp of tree: Unknown
dev-java/java-config: 1.3.7, 2.0.31-r7
dev-lang/python:     2.4.4
dev-python/pycrypto: 2.0.1-r5
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.23b
virtual/os-headers:  2.6.20-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf
/etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs collision-protect cvs distlocks metadata-transfer sandbox
sfperms strict"
GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --delete-after --stats --timeout=180
--exclude=/distfiles --exclude=/local --exclude=/packages
--filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/home/drac/gentoo-x86"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/local/portage"
SYNC="rsync://trumpetti.atm.tut.fi/gentoo-portage"
USE="3dnow 3dnowext X a52 aac ace aiglx alsa asf bash-completion berkdb
bigpatch bitmap-fonts bzip2 cairo cdparanoia cdr cli cracklib crypt cups dbus
divx dri dvb dvd dvdnav dvdr dvdread dxr3 dxr3-audio-denoise emerald encode
ffmpeg firefox flac fontconfig fortran gdbm glitz gmedia gpm gtk hal hddtemp
iconv imap ipv6 isdnlog jpeg libg++ libnotify lm_sensors mad midi mikmod mixer
mmx mmxext mozbranding mp2 mp3 mpeg msn ncurses nls nptl nptlonly offensive ogg
opengl pam pcre pdf perl plugins png ppds pppd python qa quicktime rar readline
real realmedia reflection rtc sdl session setup-plugin speex spl srt sse ssl
startup-notification subtitles svg tcpd theora trayicon truetype truetype-fonts
type1-fonts unicode v4l v4l2 vdr vorbis win32codecs wmp x86 xcb xcomposite xine
xml xorg xscreensaver xv xvid zip zlib" ALSA_CARDS="ca0106"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file
hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route
share shm softvol" ELIBC="glibc" INPUT_DEVICES="evdev keyboard" KERNEL="linux"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses
text" LIRC_DEVICES="serial" USERLAND="GNU" VIDEO_CARDS="ati radeon r200"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS,
PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

------- Comment #7 From Jakub Moc (RETIRED) 2007-05-01 22:15:12 0000 -------
*** Bug 176733 has been marked as a duplicate of this bug. ***

------- Comment #8 From Dmitry 'MAD' Artamonow 2007-05-02 15:56:35 0000 -------
Fails to compile on sparc too. Looks like bug #176155 wasn't fixed properly.
I succeded to compile with such modifications to ebuild (cvs revision 1.2):

--- /usr/portage/app-emulation/vice/vice-1.21.ebuild    2007-04-27
00:38:43.000000000 +0400
+++ /usr/local/portage/app-emulation/vice/vice-1.21.ebuild      2007-05-02
19:15:34.000000000 +0400
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/app-emulation/vice/vice-1.21.ebuild,v 1.2
2007/04/26 20:10:43 nyhm Exp $

-inherit eutils games
+inherit eutils games autotools

 DESCRIPTION="The Versatile Commodore 8-bit Emulator"
 HOMEPAGE="http://www.viceteam.org/"
@@ -60,9 +60,14 @@
                po/intl2po.c \
                || die "sed intl2po.c failed"
        sed -i \
-               -e '/SYNC=/s: $SYNC::' \
-               configure \
-               || die "sed configure failed"
+               -e '/SYNC=/,/AC_SUBST(SYNC)/s:SYNC:OPENGL_SYNC:g' \
+               configure.in \
+               || die "sed configure.in failed"
+       sed -i \
+               -e 's:@SYNC@:@OPENGL_SYNC@:' \
+               src/arch/unix/x11/Makefile.am \
+               || die "sed src/arch/unix/x11/Makefile.am failed"
+       eautoreconf || die "autoreconf failed"
        epatch "${FILESDIR}"/${P}-uicolor.patch #174056
 }

With this patch vice compiles ok, but fails in runtime with next symptoms:

mad@sunflower ~ $ x64
*** glibc detected *** x64: realloc(): invalid old size: 0x000d7f80 ***
Aborted


Here's my emerge --info:

mad@sunflower ~ $ emerge --info
Portage 2.1.2.2 (default-linux/sparc/sparc64/2007.0, gcc-4.1.1, glibc-2.5-r0,
2.6.21 sparc64)
=================================================================
System uname: 2.6.21 sparc64 sun4u
Gentoo Base System release 1.12.9
Timestamp of tree: Tue, 01 May 2007 01:47:01 +0000
ccache version 2.4 [enabled]
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r7
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.15-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.19.2-r2
ACCEPT_KEYWORDS="sparc"
AUTOCLEAN="yes"
CBUILD="sparc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=ultrasparc -pipe"
CHOST="sparc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -mcpu=ultrasparc -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer parallel-fetch sandbox sfperms
strict"
GENTOO_MIRRORS="ftp://ftp.mirrorservice.org/sites/www.ibiblio.org/gentoo"
LANG="C"
LINGUAS="en en_GB ru"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --delete-after --stats --timeout=180
--exclude=/distfiles --exclude=/local --exclude=/packages
--filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa bitmap-fonts bzip2 cli cracklib cups dri dvd dvdread encode gif gpm
gtk iconv isdnlog jpeg libg++ mad mbox midi ncurses nls nptl nptlonly nsplugin
opengl pam pcre png ppds pppd qt3 readline reflection sdl session sparc spl ssl
symlink tiff truetype truetype-fonts type1-fonts unicode vorbis xml xorg xv
zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug
file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate
route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse"
KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001
mtxorb ncurses text" LINGUAS="en en_GB ru" USERLAND="GNU" VIDEO_CARDS="mach64
mga sunffb fbdev"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS,
PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

------- Comment #9 From Bob Johnson 2007-05-02 18:35:01 0000 -------
I tried the patch submitted by Dmitry and confirm that vice-1.21 successfully
compiles and runs on x86 with that patch. I don't get the realloc() error he
experienced. It might be a sparc issue. Fix the ebuild in the tree and this bug
can be closed for x86 (and a new one re-opened for sparc?)

------- Comment #10 From Mr. Bones. 2007-05-02 21:19:02 0000 -------
I'd like to hear about why this fails.  It builds fine for me with a variety of
use flags on stable x86.  Clearly it's broken for some people but I'd like to
know the root cause if anyone has nailed that down.

------- Comment #11 From Kai 2007-05-03 01:20:46 0000 -------
(In reply to comment #10)
> I'd like to hear about why this fails.  It builds fine for me with a variety of
> use flags on stable x86.  Clearly it's broken for some people but I'd like to
> know the root cause if anyone has nailed that down.

I couldn't tell you why, but I can confirm it fails for me with the same
message as the OP. I tried with MAKEOPTS="-j1" as well, no dice.

Portage 2.1.2.2 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.5-r0,
2.6.19-gentoo-r7 i686)
=================================================================
System uname: 2.6.19-gentoo-r7 i686 AMD Athlon(tm) XP 2500+
Gentoo Base System release 1.12.9
Timestamp of tree: Thu, 03 May 2007 00:00:09 +0000
ccache version 2.4 [enabled]
dev-java/java-config: 1.3.7, 2.0.31-r5
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r7
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.15-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
/usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf
/etc/java-config/vms/ /etc/php/apache1-php5/ext-active/
/etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/
/etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer parallel-fetch sandbox sfperms
strict"
GENTOO_MIRRORS="http://mirrors.acm.cs.rpi.edu/gentoo/"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
--force --whole-file --delete --delete-after --stats --timeout=180
--exclude=/distfiles --exclude=/local --exclude=/packages
--filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/home/kai/portage_overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa aotuv asf berkdb bitmap-fonts bonobo
bzip2 cairo capslib cdparanoia cdr chardet charset cli console cracklib crypt
css ctype cups curl dba dbus dri dvd dvdr dvdread emboss encode exif fam fbcon
ffmpeg firefox flac fortran ftp gd gdbm gif glib glut gmp gnome gpm gstreamer
gtk guile hal iconv imagemagick imap imlib inkjar ipv6 isdnlog joystick jpeg
kde kdeenablefinal lame lcms ldap libg++ libsamplerate lua lzo mad matroska
midi mikmod mjpeg mmap mmx mmxext mng modplug mp3 mpeg msn musepack musicbrainz
ncurses nls nptl nptlonly ogg opengl oss pam pcre pdf perl php png ppds pppd
python qt3 qt4 quicktime readline real reflection sdl session sid sndfile sox
speex spell spl sqlite sqlite3 sse ssl svg t1lib tcpd theora tidy tiff truetype
truetype-fonts type1-fonts unicode usb vcd vorbis wavpack win32codecs x86
xchattext xine xml xorg xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp
atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968
fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx
via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop
empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi
null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard
mouse evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk
hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU"
VIDEO_CARDS="radeon fbdev vesa"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL,
PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

------- Comment #12 From SpanKY 2007-05-03 05:27:30 0000 -------
fixed in cvs by:
sed -i \
    -e 's:\<SYNC\>:OPENGL_SYNC:g' \
    configure src/arch/unix/x11/Makefile.in

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug